Core - Bug # 45570

Status: Resolved Priority: Must have
Author: Florian Zimmermann Category: Frontend
Created: 2013-02-18 Assigned To:

Updated: 2013-03-06 Due date:

TYPO3 Version: 45

PHP Version:

Complexity: easy

Is Regression:
Sprint Focus:

Subject: fe_session Data Change external payment checkout

Description

ok now in TYPO3 4.5.23 the session data Handling is change.
http://forge.typo3.org/issues/34964

| got now the problem that users who are come back from paypal Express / Payment checkout would not get a order confirm email

because the session data are gone for them.
How could i resolved this?
in TYPOS 4.5.22 are everthing fine.

Related issues:

related to Core - Bug # 34964: FE Session record is never removed, even if no... Resolved
related to Core - Bug # 45578: storeSessionData not working anymore with 4.5.23 Rejected
related to Front End User Registration - Bug # 46047: Saving form data stoppe... Resolved

2012-03-17
2013-02-18
2013-03-05

Associated revisions

Revision 06571e6e - 2013-02-25 09:00 - Oliver Hader

Revert "[BUGFIX] FE session records are never removed"

This reverts commit da58b20c22a0a69df4d14599¢59a850a09b19dc5.

Change-Id: 12a0e2ab45c3b94d6c036187aa296a0983313a42a

Resolves: #45570
Reviewed-on: https://review.typo3.org/18464

Reviewed-by: Xavier Perseguers
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2013-02-18 14:57 - Stephan Brun

we have also problems with empty sessions after the update to 4.5.23 in several installation. 4.5.22 works fine.
in the checkout process from tt_commerce the billing address got lost.

#2 - 2013-02-18 18:23 - Thorsten Kahler
- Status changed from New to Accepted
- Priority changed from Should have to Must have

- Complexity set to easy
See #45578 for some more details.

#3 - 2013-02-18 22:10 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.

It is available at https://review.typo3.org/18365

#4 - 2013-02-19 08:48 - Stephan Brun

The provided fix (https://review.typo3.org/18365) works for us. Thanks a lot for the fast correction.

#5 - 2013-02-19 10:52 - Markus Klein

Stephan, would you mind voting for the patch please?

#6 - 2013-02-25 08:46 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.

It is available at https://review.typo3.org/18464

#7 - 2013-02-25 08:46 - Oliver Hader

The backport to 4.5 and the follow-up change (that is still pending)
introduce a feature and changed behaviour in the guise of being a bugfix.

Since the situation in 4.5 was working before (maybe not optimal, but on

the other side not faulty), | opt for reverting the initial backport

completely in 4.5 without any substitute.

#8 - 2013-02-25 09:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:06571e6eeb483c243ae67478c39e27e9a4718c¢f7.
